all messages for Emacs-related lists mirrored at yhetil.org
 help / color / mirror / code / Atom feed
From: Paul Eggert <eggert@cs.ucla.edu>
To: sds@gnu.org
Cc: 25347@debbugs.gnu.org
Subject: bug#25347: 26.0.50; automake-1.15: error: cannot open < lib/../nt/gnulib.mk: No such file or directory
Date: Wed, 4 Jan 2017 00:55:08 -0800	[thread overview]
Message-ID: <5ff230dd-0d94-1a75-0c64-e5c62e62e1cd@cs.ucla.edu> (raw)
In-Reply-To: <m1y3yr9aum.fsf@gnu.org>

[-- Attachment #1: Type: text/plain, Size: 455 bytes --]

We should not be seeing this problem at all on Darwin, as lib/Makefile.am's 
include directive is protected inside an 'if BUILDING_FOR_WINDOWSNT'.... Oh, I 
see, the problem is that we are using a Automake conditional -- these days we 
assume GNU make so this should just be an ordinary GNU make conditional, which 
would have avoided the problem.

Anyway, I installed the attached patch to work around the immediate issue; 
please give it a try.

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: 0001-Port-recent-autogen.sh-changes-to-Darwin.patch --]
[-- Type: text/x-diff; name="0001-Port-recent-autogen.sh-changes-to-Darwin.patch", Size: 1288 bytes --]

From c18a524602e02afaf63ab2083b350f3d69fb8ccb Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Wed, 4 Jan 2017 00:44:45 -0800
Subject: [PATCH] Port recent autogen.sh changes to Darwin

Problem reported by Sam Steingold (Bug#25347).
* autogen.sh: Don't assume 'sed -f-' reads a script from stdin, as
POSIX does not require it and it does not work on Darwin.
---
 autogen.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index 91e1e2c..f6bfde6 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -223,7 +223,10 @@ do_git=
 
   ## Create nt/gnulib.mk if it doesn't exist, as autoreconf will need it.
   if test ! -f nt/gnulib.mk; then
-      sed '/^[^#]/s|^.*$|/^## begin  *gnulib module &/,/^## end  *gnulib module &/c ## gnulib module & removed|' nt/gnulib-modules-to-delete.cfg | sed -f- lib/gnulib.mk > nt/gnulib.mk
+      echo 'Inferring nt/gnulib.mk from lib/gnulib.mk ...'
+      metascript='/^[^#]/s|^.*$|/^## begin  *gnulib module &/,/^## end  *gnulib module &/c ## gnulib module & removed|'
+      script=`sed "$metascript" nt/gnulib-modules-to-delete.cfg` || exit
+      sed "$script" lib/gnulib.mk > nt/gnulib.mk || exit
   fi
 
   echo "Running 'autoreconf -fi -I m4' ..."
-- 
2.7.4


  parent reply	other threads:[~2017-01-04  8:55 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-01-03 19:56 bug#25347: 26.0.50; automake-1.15: error: cannot open < lib/../nt/gnulib.mk: No such file or directory Sam Steingold
2017-01-03 20:00 ` Eli Zaretskii
2017-01-03 20:26   ` Sam Steingold
2017-01-04 16:08     ` Eli Zaretskii
2017-01-04  8:55 ` Paul Eggert [this message]
2017-01-04 14:11 ` Kaushal Modi

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=5ff230dd-0d94-1a75-0c64-e5c62e62e1cd@cs.ucla.edu \
    --to=eggert@cs.ucla.edu \
    --cc=25347@debbugs.gnu.org \
    --cc=sds@gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this external index

	https://git.savannah.gnu.org/cgit/emacs.git
	https://git.savannah.gnu.org/cgit/emacs/org-mode.git

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.